/*
  Copyright (C) 2009 and 2010 Chris Vine

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
*/

#ifndef PREFERENCES_H
#define PREFERENCES_H

#include "prog_defs.h"


#include <gtk/gtk.h>

#include <c++-gtk-utils/window.h>

namespace PreferencesCB {
  extern "C" void preferences_selected(GtkWidget*, void*);
}

class Preferences: public WinBase {
  GtkWidget* beep_button_p;
  GtkWidget* no_notify_button_p;
  GtkWidget* dialog_notify_button_p;
  GtkWidget* lib_notify_button_p;
  GtkWidget* tray_icon_button_p;
  GtkWidget* cancel_button_p;
  GtkWidget* ok_button_p;

  void get_prefs(void);
  void save_prefs(void) const;

  // Objects of this class are not for copying
  Preferences(const Preferences&);
  Preferences& operator=(const Preferences&);
public:
  friend void PreferencesCB::preferences_selected(GtkWidget*, void*);

  bool get_beep(void) const;
  Error::ReportMode get_error_mode(void) const;
  bool get_tray_icon(void) const;

  Preferences(GtkWindow* parent_p);
};


#endif
